Skip to main content
GET
/
collections
/
{collectionName}
cURL
curl --request GET \
  --url https://{projectHost}/collections/{collectionName} \
  --header 'x-api-key: <api-key>'
{
  "collection": {
    "projectName": "example-project-name",
    "collectionName": "example-collection-name",
    "indexConfigs": {
      "example-field1": {
        "type": "text",
        "analyzers": [
          "english"
        ]
      },
      "example-field2": {
        "type": "vector",
        "dimensions": 128,
        "similarity": "cosine"
      }
    },
    "numDocs": 1000,
    "collectionStatus": "ACTIVE"
  }
}

Authorizations

x-api-key
string
header
required

Project API Key.

Path Parameters

collectionName
string
required

Collection name.

Response

Describe collection success.

collection
CollectionResponse · object
required